%define pkg_name        DBIx-SearchBuilder
%define pkg_version     1.49
%define rpm_pkg_version 1.49
%define rpm_pkg_release 1.n0i.24

Summary:       Encapsulate SQL queries and rows in simple perl objects
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/R/RU/RUZ/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)

%if %{!?_without_test:1}0
# build reqs
BuildRequires: perl(Test::More)
BuildRequires: perl(DBD::SQLite)
# base reqs
BuildRequires: perl(Cache::Simple::TimedExpiry) >= 0.21
BuildRequires: perl(Class::ReturnValue) >= 0.4
BuildRequires: perl(Clone)
BuildRequires: perl(DBI)
BuildRequires: perl(Encode)
BuildRequires: perl(Test::More)
BuildRequires: perl(Want)
# optional features
BuildRequires: perl(Class::Accessor)
BuildRequires: perl(DBIx::DBSchema)
BuildRequires: perl(capitalization)
%endif

%global perl_filter_req 'perl\\(DBD::'


%description
DBIx::SearchBuilder - Encapsulate SQL queries and rows in simple perl objects


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}
%{fix_perl_path ex/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes ex/ README ROADMAP


%changelog
* Wed Aug 01 2007 Marius Feraru <altblue@n0i.net> - 1.49-1.n0i.24
- version 1.49

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.48-1.n0i.23
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 1.48

* Fri Apr 14 2006 Marius Feraru <altblue@n0i.net> - 1.43-1.n0i.22
- version 1.43

* Tue Apr 11 2006 Marius Feraru <altblue@n0i.net> - 1.42-1.n0i.21
- version 1.42

* Mon Mar 27 2006 Marius Feraru <altblue@n0i.net> - 1.40-1.n0i.20
- version 1.40

* Sat Mar 04 2006 Marius Feraru <altblue@n0i.net> - 1.39-1.n0i.19
- version 1.39

* Fri Dec 30 2005 Marius Feraru <altblue@n0i.net> 1.38-1.n0i.18
- version 1.38

* Thu Nov 03 2005 Marius Feraru <altblue@n0i.net> 1.35-1.n0i.17
- version 1.35

* Sat Sep 24 2005 Marius Feraru <altblue@n0i.net> 1.33-1.n0i.16
- version 1.33

* Tue Sep 06 2005 Marius Feraru <altblue@n0i.net> 1.32-1.n0i.15
- version 1.32

* Wed Aug 03 2005 Marius Feraru <altblue@n0i.net> 1.31-1.n0i.14
- version 1.31

* Thu Jul 28 2005 Marius Feraru <altblue@n0i.net> 1.27-1.n0i.13
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- version 1.27

* Wed Mar 30 2005 Marius Feraru <altblue@n0i.net> 0:1.22-1.n0i.12
- automatic rebuild (perl 5.8.6)

* Thu Jan 27 2005 Marius Feraru <altblue@n0i.net> 0:1.22-1.n0i.11
- version 1.22

* Sun Jan 23 2005 Marius Feraru <altblue@n0i.net> 0:1.21-1.n0i.10
- version 1.21

* Sat Jan 22 2005 Marius Feraru <altblue@n0i.net> 0:1.20-1.n0i.9
- version 1.20
- don't require any DBD:: modules

* Sat Dec 04 2004 Marius Feraru <altblue@n0i.net> 0:1.15-3.n0i.8
- version 1.15

* Fri Jul 09 2004 Marius Feraru <altblue@n0i.net> 0:1.01-2.n0i.7
- version 1.01
- added the new "Want" prerequisite

* Fri Apr 30 2004 Marius Feraru <altblue@n0i.net> 0:0.99-1.n0i.6
- automatic rebuild

* Wed Apr 21 2004 Marius Feraru <altblue@n0i.net> 0:0.99-1.n0i.5
- automatic rebuild

* Sat Apr 03 2004 Marius Feraru <altblue@n0i.net> 0:0.99-1.n0i.4
- version 0.99
- spec file (re)created using N0i::CPAN::RPMizer/2004032101

* Sat Feb 21 2004 Marius FERARU <altblue@n0i.net> 0:0.97-1.n0i.3
- version 0.97

* Thu Jan 29 2004 Marius FERARU <altblue@n0i.net> 0:0.96-0.n0i.2
- version 0.96
- spec file (re)created using N0i::CPAN::RPMizer/2004011001

* Mon Sep 29 2003 Marius FERARU <altblue@n0i.net> 0.92-0.n0i
- spec file (re)created using N0i::CPAN::RPMizer/2003092601
- version 0.92
